SDL_PauseHaptic(3)

NAME
SDL_PauseHaptic - Pause a haptic device.

HEADER FILE
Defined in SDL3/SDL_haptic.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_PauseHaptic(SDL_Haptic *haptic);

DESCRIPTION
Device must support the SDL_HAPTIC_PAUSE feature. Call SDL_ResumeHaptic () to resume playback.

Do not modify the effects nor add new ones while the device is paused. That can cause all sorts of weird errors.

FUNCTION PARAMETERS

haptic
    the SDL_Haptic
     device to pause.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_ResumeHaptic(3)